using CarbonLib.Carbon;
using CarbonService.Models;
using CarbonLib.Carbon.Models;
using System;

namespace CarbonLib
{
    public abstract class CarbonCalculation : ICarbonCalculation
    {
        public abstract CarbonRequest MapFarmMapsToMiterra(FarmMapsCarbonRequest farmInput);
        public abstract string Validate(CarbonRequest farmInput);
        public abstract CarbonSummary Calculate(CarbonRequest farmInput);
        public abstract CarbonSummary CalculateClimateScenario(CarbonRequest farmInput);

        public double? GetCropYield(string cropCode, int year, int postalCode)
        {
            throw new NotImplementedException();
        }
    }
}
